dkimproxy错误 dpkg:警告错误

为当前最终发行版之前的所有版本提供支持
回复
头像
bjiokn
帖子: 14
注册时间: 2009-05-24 9:09
送出感谢: 0
接收感谢: 0
联系:

dkimproxy错误 dpkg:警告错误

#1

帖子 bjiokn » 2011-01-03 15:15

不管是安装软件,还是卸载软件,就会报以下错误,通过ubuntu自带的“更新管理器”更新软件包,也是报错误无法更新。

[abc@ ~]$sudo apt-get remove libapache2-svn
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
软件包 libapache2-svn 还未安装,因而不会被卸载
下列软件包是自动安装的并且现在不需要了:
libsvn1
使用'apt-get autoremove'来删除它们
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 dkimproxy (1.2-3) ...
addgroup: 组"dkimproxy"已经是系统组。退出。
系统用户"dkimproxy"已经存在,退出。
* Starting inbound DomainKeys-filter dkimproxy.in Unknown option: hostname
Usage:
dkimproxy.in [options] LISTENADDR:PORT RELAYADDR:PORT
smtp options:
--conf_file=FILENAME
--listen=LISTENADDR:PORT
--relay=RELAYADDR:PORT
--reject-error

verification options:
--reject-fail
--hostname=HOSTNAME

daemon options:
--daemonize
--user=USER
--group=GROUP
--pidfile=PIDFILE

dkimproxy.in --help
to see a full description of the various options

[fail]
invoke-rc.d: initscript dkimproxy, action "start" failed.
dpkg:处理 dkimproxy (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 2
在处理时有错误发生:
dkimproxy
E: Sub-process /usr/bin/dpkg returned an error code (1)


在线等了很久,没有信息,就在本论坛上搜索了下相关的页面。发现以下贴很符合我的需要:

viewtopic.php?f=86&t=90547

以下步骤解决了我的问题:

cd /var/lib/dpkg
sudo mv info info.bak
sudo mkdir info
重新安装,在此为:
sudo apt-get --reinstall install ttf-dustin khangman kdeedu kde


在此感谢各位对本帖的关注。但还不是很明白为什么会解决掉。
随着时间的流逝,问题越来越多,以上方便并没有得到最完美的解决:而是出现刘更恐怖的事情:

dpkg:严重警告:无法找到软件包“libexempi3”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
dpkg:严重警告:无法找到软件包“libgtkspell0”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
dpkg:严重警告:无法找到软件包“mlterm-common”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
dpkg:严重警告:无法找到软件包“python-pkg-resources”的文件名列表文件,现假定该软件包目前没有任何文件被安装在系统里。
.........


以上问题接连出现,现在才发现自己在不经意间改动了系统文件.
/var/lib/dpkg/下的文件一个都不能动的。
网上搜索了一些信息,都说要强行重新安装列出的软件。没事别乱删系统文件。
我无语,能有更好的方法吗?这里列出来的文件多达上百行,强制重新安装有些吃力的.

:em20 :em20 :em20 :em20 :em20 :em20
上次由 bjiokn 在 2011-01-04 15:21,总共编辑 3 次。
并非你的人生无聊,而是因为你在追求一个无聊的人生....
头像
astolia
论坛版主
帖子: 3091
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 511 次

Re: dkimproxy错误

#2

帖子 astolia » 2011-01-03 15:31

实际上就是dkimproxy这个软件包制作的有问题,安装完毕后对其进行设置时出错。
以后每次安装/更新其他软件时都会再一次尝试去重新设置一次,由于是软件包本身的错误,而非其他软件导致的,当然次次都会提示同样的错误。
我不知道你为什么会去装dkimproxy这东西,最简单的解决方法就是直接删除它
而你找到的那个所谓的“解决方法”,本质上是欺骗apt-get,让它以为dkimproxy已经成功设置完毕了,以后apt-get就不会再去尝试设置了。
头像
photor
论坛版主
帖子: 11005
注册时间: 2008-04-26 12:41
送出感谢: 8 次
接收感谢: 36 次

Re: dkimproxy错误

#3

帖子 photor » 2011-01-03 15:56

astolia 写了:实际上就是dkimproxy这个软件包制作的有问题,安装完毕后对其进行设置时出错。
以后每次安装/更新其他软件时都会再一次尝试去重新设置一次,由于是软件包本身的错误,而非其他软件导致的,当然次次都会提示同样的错误。
我不知道你为什么会去装dkimproxy这东西,最简单的解决方法就是直接删除它
而你找到的那个所谓的“解决方法”,本质上是欺骗apt-get,让它以为dkimproxy已经成功设置完毕了,以后apt-get就不会再去尝试设置了。
:em09
rediscover
帖子: 3173
注册时间: 2010-01-13 23:26
送出感谢: 0
接收感谢: 12 次

Re: dkimproxy错误

#4

帖子 rediscover » 2011-01-04 0:32

去提交个bug吧,这个包做得有问题。
Here I am.
Ubuntu 桌面培训 - 全中文官方文档,含汉化截图,提供PDF
头像
bjiokn
帖子: 14
注册时间: 2009-05-24 9:09
送出感谢: 0
接收感谢: 0
联系:

Re: dkimproxy错误

#5

帖子 bjiokn » 2011-01-04 12:23

astolia 写了:实际上就是dkimproxy这个软件包制作的有问题,安装完毕后对其进行设置时出错。
以后每次安装/更新其他软件时都会再一次尝试去重新设置一次,由于是软件包本身的错误,而非其他软件导致的,当然次次都会提示同样的错误。
我不知道你为什么会去装dkimproxy这东西,最简单的解决方法就是直接删除它
而你找到的那个所谓的“解决方法”,本质上是欺骗apt-get,让它以为dkimproxy已经成功设置完毕了,以后apt-get就不会再去尝试设置了。

这里的 dkimproxy 软件包 是什么软件用的哦??
有什么作用?
google baidu 上搜不到相关信息..
如果删除的话是直接删除 sudo apt-get remove dkimproxy 吗?

后来用 $ sudo apt-get remove dkimproxy 删除,发现系统就没有安装这个软件包....

$sudo apt-get remove dkimproxy
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
软件包 dkimproxy 还未安装,因而不会被卸载
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。


问题依然迷惑中....
上次由 bjiokn 在 2011-01-04 14:52,总共编辑 1 次。
并非你的人生无聊,而是因为你在追求一个无聊的人生....
头像
astolia
论坛版主
帖子: 3091
注册时间: 2008-09-18 13:11
送出感谢: 1 次
接收感谢: 511 次

Re: dkimproxy错误

#6

帖子 astolia » 2011-01-04 14:43

明明用新立得一看就知道,还用什么搜索引擎。
DKIMproxy is an SMTP-proxy that signs and/or verifies emails, using the
Mail::DKIM module. It is designed for Postfix, but should work with any mail
server. It comprises two separate proxies, an "outbound" proxy for signing
outgoing email, and an "inbound" proxy for verifying signatures of incoming
email (administrators can decide if they want to run both, or only one of
them). With Postfix, the proxies can operate as either Before-Queue or
After-Queue content filters, and they also can be chained with content
filter proxies like Amavis, which is the current default configuration of
the package.
回复

回到 “老旧版本支持”